Package com.sun.jna.platform.win32

## Class WinNT.NUMA_NODE_RELATIONSHIP

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX
    - - com.sun.jna.platform.win32.WinNT.NUMA_NODE_RELATIONSHIP

- Enclosing interface:
    WinNT

      @FieldOrder({"nodeNumber","reserved","groupCount","groupMasks"})
      public static class WinNT.NUMA_NODE_RELATIONSHIP
      extends WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX

  Represents information about a NUMA node in a processor group.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `short` | `groupCount` | The number of groups included in the GroupMasks array.
    `WinNT.GROUP_AFFINITY` | `groupMask` | A `WinNT.GROUP_AFFINITY` structure that specifies a group number and processor affinity within the group.
    `WinNT.GROUP_AFFINITY[]` | `groupMasks` | An array of `WinNT.GROUP_AFFINITY` structures that specifies a group number and processor affinity within the group.
    `int` | `nodeNumber` | Identifies the NUMA node.
    `byte[]` | `reserved` | This member is reserved.

    - ### Fields inherited from class com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX

      `relationship, size`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NUMA_NODE_RELATIONSHIP()` |
    `NUMA_NODE_RELATIONSHIP​(Pointer memory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.util.List<java.lang.reflect.Field>` | `getFieldList()` | Look up all fields in this class and superclasses.
    `void` | `read()` | Reads the fields of the struct from native memory

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX

      `fromPointer`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nodeNumber

          public int nodeNumber

      Identifies the NUMA node. Valid values are `0` to the highest NUMA node number inclusive. A non-NUMA multiprocessor system will report that all processors belong to one NUMA node.

    - #### reserved

          public byte[] reserved

      This member is reserved.

    - #### groupCount

          public short groupCount

      The number of groups included in the GroupMasks array. This field was introduced in TBD Release Iron. On earlier versions, this value is always 0.

    - #### groupMask

          public WinNT.GROUP_AFFINITY groupMask

      A `WinNT.GROUP_AFFINITY` structure that specifies a group number and processor affinity within the group. This member is only relevant if `groupCount` is 0.

    - #### groupMasks

          public WinNT.GROUP_AFFINITY[] groupMasks

      An array of `WinNT.GROUP_AFFINITY` structures that specifies a group number and processor affinity within the group. This member is only relevant if `groupCount` is 1 or greater.

  - ### Constructor Detail

    - #### NUMA_NODE_RELATIONSHIP

          public NUMA_NODE_RELATIONSHIP()

    - #### NUMA_NODE_RELATIONSHIP

          public NUMA_NODE_RELATIONSHIP​(Pointer memory)

  - ### Method Detail

    - #### read

          public void read()

      Description copied from class: `Structure`
      Reads the fields of the struct from native memory
      Overrides:
        `read` in class `Structure`

    - #### getFieldList

          protected java.util.List<java.lang.reflect.Field> getFieldList()

      Description copied from class: `Structure`
      Look up all fields in this class and superclasses.
      Overrides:
        `getFieldList` in class `Structure`
      Returns:
        ordered list of public `Field` available on this `Structure` class.